Name:           python-hvl-ccb
Version:        0.18.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python common code base to control research devices, in particular, as used in Christian Franck's High Voltage Lab (HVL), D-ITET, ETH Zurich

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/ethz_hvl/hvl_ccb/
Source:         %{pypi_source hvl_ccb}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'hvl-ccb' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-hvl-ccb
Summary:        %{summary}

%description -n python3-hvl-ccb %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-hvl-ccb all,dev,labjack,picotech,tiepie


%prep
%autosetup -p1 -n hvl_ccb-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dev,labjack,picotech,tiepie


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-hvl-ccb -f %{pyproject_files}


%changelog
%autochangelog